> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Wallet Transfers

> Retrieves activity history for the specified wallet including transactions and other relevant events. This is an unstable API that may change without notice.

**API scope required**: `wallets.read`

<Warning>
  This is an **unstable API** that may change without notice. The `unstable` prefix indicates that breaking changes may occur in future releases.
</Warning>


## OpenAPI

````yaml get /unstable/wallets/{walletLocator}/transfers
openapi: 3.0.0
info:
  title: Crossmint Wallets API
  description: Crossmint Wallets API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags: []
paths:
  /unstable/wallets/{walletLocator}/transfers:
    get:
      summary: Get Wallet Activity (Unstable)
      description: >-
        Retrieves activity history for the specified wallet including
        transactions and other relevant events. This is an unstable API that may
        change without notice.


        **API scope required**: `wallets.read`
      operationId: WalletActivityUnstableController-getWalletActivity-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: walletLocator
          required: true
          in: path
          description: >-
            A wallet locator can be of the format:

            - `<walletAddress>`

            - `email:<email>:<chainType>[:<walletType>][:alias:<alias>]`
            (walletType defaults to 'smart')

            - `userId:<userId>:<chainType>[:<walletType>][:alias:<alias>]`
            (white label user example)

            -
            `phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]`

            - `twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]`

            - `x:<handle>:<chainType>[:<walletType>][:alias:<alias>]`

            - `me:<chainType>[:<walletType>][:alias:<alias>]` (Use when calling
            from the client side with a client API key)

            - `chainType[:<walletType>]:alias:<alias>`
          example:
            - '0x1234567890123456789012345678901234567890'
            - email:user@example.com:evm:smart
            - email:user@example.com:evm
            - email:user@example.com:evm:smart:alias:myWallet
            - userId:507f1f77bcf86cd799439011:solana:mpc
            - userId:did:example:cm4lr5piw0h6t1bjho0onryql:evm:smart
            - userId:507f1f77bcf86cd799439011:evm:alias:primary
            - phoneNumber:+12125551234:evm:smart
            - phoneNumber:+12125551234:evm:smart:alias:mobile
            - twitter:johndoe:evm:smart
            - x:@johndoe:evm:smart:alias:xWallet
            - me:evm:smart
            - me:evm:smart:alias:personal
            - evm:alias:myAlias
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: '30'
            type: string
        - name: sort
          required: false
          in: query
          schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
        - name: chain
          required: true
          in: query
          description: >-
            The blockchain network to query. Either an EVM chain, Solana, or
            Stellar.
          example: ethereum
          schema:
            enum:
              - arbitrum-sepolia
              - arc-testnet
              - avalanche-fuji
              - curtis
              - base-goerli
              - base-sepolia
              - bsc-testnet
              - chiliz-spicy-testnet
              - coti-testnet
              - ethereum-goerli
              - ethereum-sepolia
              - hedera-testnet
              - hypersonic-testnet
              - lightlink-pegasus
              - mantle-sepolia
              - optimism-goerli
              - optimism-sepolia
              - polygon-amoy
              - polygon-mumbai
              - crossmint-private-testnet-ethereum
              - crossmint-private-testnet-polygon
              - rari-testnet
              - scroll-sepolia
              - sei-atlantic-2-testnet
              - shape-sepolia
              - skale-nebula-testnet
              - soneium-minato-testnet
              - space-testnet
              - story-testnet
              - verify-testnet
              - viction-testnet
              - xai-sepolia-testnet
              - zkatana
              - zkyoto
              - zora-goerli
              - zora-sepolia
              - mode-sepolia
              - u2u-nebulas
              - zenchain-testnet
              - abstract-testnet
              - world-chain-sepolia
              - plume-testnet
              - flow-testnet
              - tempo-testnet
              - ethereum
              - polygon
              - bsc
              - optimism
              - arbitrum
              - base
              - zora
              - arbitrumnova
              - astar-zkevm
              - apechain
              - hedera
              - coti
              - lightlink
              - mantle
              - skale-nebula
              - sei-pacific-1
              - chiliz
              - avalanche
              - xai
              - shape
              - rari
              - scroll
              - viction
              - mode
              - space
              - soneium
              - story
              - u2u-solaris
              - abstract
              - world-chain
              - plume
              - flow
              - solana
              - stellar
            type: string
        - name: tokens
          required: true
          in: query
          description: >-
            The tokens to query. Comma-separated list of either tokens or token
            locator strings
          example: eth,base:0x123,solana:sol
          schema:
            type: string
        - name: status
          required: true
          in: query
          description: The status of the transfers to query
          example: successful
          schema:
            enum:
              - successful
              - failed
            type: string
        - name: fromDate
          required: false
          in: query
          description: >-
            Filter transfers from this date (inclusive). ISO 8601 format.
            Supported for EVM and Stellar chains.
          example: '2024-01-01T00:00:00Z'
          schema:
            format: date-time
            type: string
        - name: toDate
          required: false
          in: query
          description: >-
            Filter transfers until this date (inclusive). ISO 8601 format.
            Supported for EVM and Stellar chains.
          example: '2024-12-31T23:59:59Z'
          schema:
            format: date-time
            type: string
      responses:
        '200':
          description: The wallet activity has been successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletsActivityResponseUnstableDTO'
        '404':
          description: Returns an error if a wallet with the specified locator not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletV1Alpha2ErrorDTO'
components:
  schemas:
    WalletsActivityResponseUnstableDTO:
      type: object
      properties:
        nextCursor:
          type: string
        previousCursor:
          type: string
        data:
          type: array
          items:
            discriminator:
              propertyName: type
            oneOf:
              - type: object
                properties:
                  sender:
                    type: object
                    properties:
                      address:
                        type: string
                        description: Wallet address
                        example: '0x1234567890123456789012345678901234567890'
                      chain:
                        type: string
                        enum:
                          - solana
                          - sui
                          - aptos
                          - xion
                          - stellar
                          - arbitrum-sepolia
                          - arc-testnet
                          - avalanche-fuji
                          - curtis
                          - base-goerli
                          - base-sepolia
                          - bsc-testnet
                          - chiliz-spicy-testnet
                          - coti-testnet
                          - ethereum-goerli
                          - ethereum-sepolia
                          - hedera-testnet
                          - hypersonic-testnet
                          - lightlink-pegasus
                          - mantle-sepolia
                          - optimism-goerli
                          - optimism-sepolia
                          - polygon-amoy
                          - polygon-mumbai
                          - crossmint-private-testnet-ethereum
                          - crossmint-private-testnet-polygon
                          - rari-testnet
                          - scroll-sepolia
                          - sei-atlantic-2-testnet
                          - shape-sepolia
                          - skale-nebula-testnet
                          - soneium-minato-testnet
                          - space-testnet
                          - story-testnet
                          - verify-testnet
                          - viction-testnet
                          - xai-sepolia-testnet
                          - zkatana
                          - zkyoto
                          - zora-goerli
                          - zora-sepolia
                          - mode-sepolia
                          - u2u-nebulas
                          - zenchain-testnet
                          - abstract-testnet
                          - world-chain-sepolia
                          - plume-testnet
                          - flow-testnet
                          - tempo-testnet
                          - ethereum
                          - polygon
                          - bsc
                          - optimism
                          - arbitrum
                          - base
                          - zora
                          - arbitrumnova
                          - astar-zkevm
                          - apechain
                          - hedera
                          - coti
                          - lightlink
                          - mantle
                          - skale-nebula
                          - sei-pacific-1
                          - chiliz
                          - avalanche
                          - xai
                          - shape
                          - rari
                          - scroll
                          - viction
                          - mode
                          - space
                          - soneium
                          - story
                          - u2u-solaris
                          - abstract
                          - world-chain
                          - plume
                          - flow
                        description: Chain identifier
                        example: ethereum
                      locator:
                        type: string
                        description: >-
                          Wallet locator (e.g., 'email:dev@company.com:optimism'
                          or 'optimism:0x123...456')
                        example: ethereum:0x1234567890123456789012345678901234567890
                      owner:
                        type: string
                        description: Owner identifier
                        example: user-123
                    required:
                      - address
                      - locator
                    additionalProperties: false
                    description: Transfer participant (sender or recipient)
                    example:
                      address: '0x1234567890123456789012345678901234567890'
                      chain: ethereum
                      locator: ethereum:0x1234567890123456789012345678901234567890
                      owner: user-123
                  recipient:
                    type: object
                    properties:
                      address:
                        type: string
                        description: Wallet address
                        example: '0x1234567890123456789012345678901234567890'
                      chain:
                        type: string
                        enum:
                          - solana
                          - sui
                          - aptos
                          - xion
                          - stellar
                          - arbitrum-sepolia
                          - arc-testnet
                          - avalanche-fuji
                          - curtis
                          - base-goerli
                          - base-sepolia
                          - bsc-testnet
                          - chiliz-spicy-testnet
                          - coti-testnet
                          - ethereum-goerli
                          - ethereum-sepolia
                          - hedera-testnet
                          - hypersonic-testnet
                          - lightlink-pegasus
                          - mantle-sepolia
                          - optimism-goerli
                          - optimism-sepolia
                          - polygon-amoy
                          - polygon-mumbai
                          - crossmint-private-testnet-ethereum
                          - crossmint-private-testnet-polygon
                          - rari-testnet
                          - scroll-sepolia
                          - sei-atlantic-2-testnet
                          - shape-sepolia
                          - skale-nebula-testnet
                          - soneium-minato-testnet
                          - space-testnet
                          - story-testnet
                          - verify-testnet
                          - viction-testnet
                          - xai-sepolia-testnet
                          - zkatana
                          - zkyoto
                          - zora-goerli
                          - zora-sepolia
                          - mode-sepolia
                          - u2u-nebulas
                          - zenchain-testnet
                          - abstract-testnet
                          - world-chain-sepolia
                          - plume-testnet
                          - flow-testnet
                          - tempo-testnet
                          - ethereum
                          - polygon
                          - bsc
                          - optimism
                          - arbitrum
                          - base
                          - zora
                          - arbitrumnova
                          - astar-zkevm
                          - apechain
                          - hedera
                          - coti
                          - lightlink
                          - mantle
                          - skale-nebula
                          - sei-pacific-1
                          - chiliz
                          - avalanche
                          - xai
                          - shape
                          - rari
                          - scroll
                          - viction
                          - mode
                          - space
                          - soneium
                          - story
                          - u2u-solaris
                          - abstract
                          - world-chain
                          - plume
                          - flow
                        description: Chain identifier
                        example: ethereum
                      locator:
                        type: string
                        description: >-
                          Wallet locator (e.g., 'email:dev@company.com:optimism'
                          or 'optimism:0x123...456')
                        example: ethereum:0x1234567890123456789012345678901234567890
                      owner:
                        type: string
                        description: Owner identifier
                        example: user-123
                    required:
                      - address
                      - locator
                    additionalProperties: false
                    description: Transfer participant (sender or recipient)
                    example:
                      address: '0x1234567890123456789012345678901234567890'
                      chain: ethereum
                      locator: ethereum:0x1234567890123456789012345678901234567890
                      owner: user-123
                  token:
                    oneOf:
                      - type: object
                        properties:
                          locator:
                            type: string
                            description: >-
                              Either a token string (e.g., 'eth', 'sol') or a
                              token locator string (e.g., 'ethereum:0x123',
                              'solana:sol')
                            example: ethereum:0x123
                          amount:
                            type: string
                            description: >-
                              The amount of the token after placing the decimal
                              point
                            example: '18.8343253454'
                          rawAmount:
                            type: string
                            description: The raw amount of the token
                            example: '18834161225104097789'
                          contractAddress:
                            type: string
                            description: >-
                              The contract address of the token on the EVM
                              chain. Not present for native tokens.
                            example: '0x123'
                          symbol:
                            type: string
                            description: Token symbol
                            example: USDC
                          decimals:
                            type: number
                            description: The number of decimals of the token
                            example: 6
                          type:
                            type: string
                            enum:
                              - fungible
                            description: Token type
                            example: fungible
                          chain:
                            type: string
                            enum:
                              - arbitrum-sepolia
                              - arc-testnet
                              - avalanche-fuji
                              - curtis
                              - base-goerli
                              - base-sepolia
                              - bsc-testnet
                              - chiliz-spicy-testnet
                              - coti-testnet
                              - ethereum-goerli
                              - ethereum-sepolia
                              - hedera-testnet
                              - hypersonic-testnet
                              - lightlink-pegasus
                              - mantle-sepolia
                              - optimism-goerli
                              - optimism-sepolia
                              - polygon-amoy
                              - polygon-mumbai
                              - crossmint-private-testnet-ethereum
                              - crossmint-private-testnet-polygon
                              - rari-testnet
                              - scroll-sepolia
                              - sei-atlantic-2-testnet
                              - shape-sepolia
                              - skale-nebula-testnet
                              - soneium-minato-testnet
                              - space-testnet
                              - story-testnet
                              - verify-testnet
                              - viction-testnet
                              - xai-sepolia-testnet
                              - zkatana
                              - zkyoto
                              - zora-goerli
                              - zora-sepolia
                              - mode-sepolia
                              - u2u-nebulas
                              - zenchain-testnet
                              - abstract-testnet
                              - world-chain-sepolia
                              - plume-testnet
                              - flow-testnet
                              - tempo-testnet
                              - ethereum
                              - polygon
                              - bsc
                              - optimism
                              - arbitrum
                              - base
                              - zora
                              - arbitrumnova
                              - astar-zkevm
                              - apechain
                              - hedera
                              - coti
                              - lightlink
                              - mantle
                              - skale-nebula
                              - sei-pacific-1
                              - chiliz
                              - avalanche
                              - xai
                              - shape
                              - rari
                              - scroll
                              - viction
                              - mode
                              - space
                              - soneium
                              - story
                              - u2u-solaris
                              - abstract
                              - world-chain
                              - plume
                              - flow
                            description: EVM chain identifier
                            example: ethereum
                        required:
                          - locator
                          - amount
                          - rawAmount
                          - decimals
                          - type
                          - chain
                        additionalProperties: false
                        description: EVM fungible token details
                        example:
                          type: fungible
                          chain: ethereum
                          locator: ethereum:0x123
                          amount: '18.833423432423'
                          rawAmount: '18834161225104097789'
                          contractAddress: '0x123'
                          decimals: 6
                      - type: object
                        properties:
                          locator:
                            type: string
                            description: >-
                              Either a token string (e.g., 'eth', 'sol') or a
                              token locator string (e.g., 'ethereum:0x123',
                              'solana:sol')
                            example: ethereum:0x123
                          amount:
                            type: string
                            description: >-
                              The amount of the token after placing the decimal
                              point
                            example: '18.8343253454'
                          rawAmount:
                            type: string
                            description: The raw amount of the token
                            example: '18834161225104097789'
                          mintHash:
                            type: string
                            description: >-
                              The mint hash of the token on Solana. Not present
                              for native SOL.
                            example: '123123'
                          symbol:
                            type: string
                            description: Token symbol
                            example: USDC
                          decimals:
                            type: number
                            description: The number of decimals of the token
                            example: 6
                          type:
                            type: string
                            enum:
                              - fungible
                            description: Token type
                            example: fungible
                          chain:
                            type: string
                            enum:
                              - solana
                            description: Solana chain identifier
                            example: solana
                        required:
                          - locator
                          - amount
                          - rawAmount
                          - decimals
                          - type
                          - chain
                        additionalProperties: false
                        description: Solana fungible token details
                        example:
                          type: fungible
                          chain: solana
                          locator: solana:31123
                          amount: '18.833423432423'
                          rawAmount: '18834161225104097789'
                          mintHash: '123123'
                          decimals: 6
                      - type: object
                        properties:
                          locator:
                            type: string
                            description: >-
                              Either a token string (e.g., 'eth', 'sol') or a
                              token locator string (e.g., 'ethereum:0x123',
                              'solana:sol')
                            example: ethereum:0x123
                          amount:
                            type: string
                            description: >-
                              The amount of the token after placing the decimal
                              point
                            example: '18.8343253454'
                          rawAmount:
                            type: string
                            description: The raw amount of the token
                            example: '18834161225104097789'
                          contractId:
                            type: string
                            description: >-
                              The contract ID of the token on Stellar. Not
                              present for native XLM.
                            example: >-
                              CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                          symbol:
                            type: string
                            description: Token symbol
                            example: USDC
                          decimals:
                            type: number
                            description: The number of decimals of the token
                            example: 6
                          type:
                            type: string
                            enum:
                              - fungible
                            description: Token type
                            example: fungible
                          chain:
                            type: string
                            enum:
                              - stellar
                            description: Stellar chain identifier
                            example: stellar
                        required:
                          - locator
                          - amount
                          - rawAmount
                          - decimals
                          - type
                          - chain
                        additionalProperties: false
                        description: Stellar fungible token details
                        example:
                          type: fungible
                          chain: stellar
                          locator: stellar:xlm
                          amount: '100.5000000'
                          rawAmount: '1005000000'
                          contractId: >-
                            CAS3J7GYLGXMF6TDJBBYYSE3HQ6BBSMLNUQ34T6TZMYMW2EVH34XOWMA
                          decimals: 6
                    type: object
                    description: Fungible token details for any supported chain
                  status:
                    type: string
                    enum:
                      - succeeded
                      - failed
                    description: The status of the transfer
                    example: succeeded
                  transferId:
                    type: string
                    description: >-
                      The unique identifier for the transfer. Can be used
                      retrieve the transfer from the Get Transaction API
                    example: 93fd7f08-0c63-4d73-808b-6268e665c964
                  completedAt:
                    type: string
                    format: date-time
                    description: ISO 8601 timestamp when the transfer was completed
                    example: '2025-10-21T12:34:56.789Z'
                  onChain:
                    type: object
                    properties:
                      txId:
                        type: string
                        description: Transaction hash/ID
                        example: >-
                          0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                      explorerLink:
                        type: string
                        description: Block explorer URL
                        example: >-
                          https://etherscan.io/tx/0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                    required:
                      - txId
                      - explorerLink
                    additionalProperties: false
                    description: On-chain transaction details
                    example:
                      txId: >-
                        0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                      explorerLink: >-
                        https://etherscan.io/tx/0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                  type:
                    type: string
                    enum:
                      - wallets.transfer.in
                    description: Event type for incoming transfers
                    example: wallets.transfer.in
                required:
                  - sender
                  - recipient
                  - token
                  - status
                  - completedAt
                  - onChain
                  - type
                additionalProperties: false
                description: Incoming wallet transfer event
              - type: object
                properties:
                  sender:
                    type: object
                    properties:
                      address:
                        type: string
                        description: Wallet address
                        example: '0x1234567890123456789012345678901234567890'
                      chain:
                        type: string
                        enum:
                          - solana
                          - sui
                          - aptos
                          - xion
                          - stellar
                          - arbitrum-sepolia
                          - arc-testnet
                          - avalanche-fuji
                          - curtis
                          - base-goerli
                          - base-sepolia
                          - bsc-testnet
                          - chiliz-spicy-testnet
                          - coti-testnet
                          - ethereum-goerli
                          - ethereum-sepolia
                          - hedera-testnet
                          - hypersonic-testnet
                          - lightlink-pegasus
                          - mantle-sepolia
                          - optimism-goerli
                          - optimism-sepolia
                          - polygon-amoy
                          - polygon-mumbai
                          - crossmint-private-testnet-ethereum
                          - crossmint-private-testnet-polygon
                          - rari-testnet
                          - scroll-sepolia
                          - sei-atlantic-2-testnet
                          - shape-sepolia
                          - skale-nebula-testnet
                          - soneium-minato-testnet
                          - space-testnet
                          - story-testnet
                          - verify-testnet
                          - viction-testnet
                          - xai-sepolia-testnet
                          - zkatana
                          - zkyoto
                          - zora-goerli
                          - zora-sepolia
                          - mode-sepolia
                          - u2u-nebulas
                          - zenchain-testnet
                          - abstract-testnet
                          - world-chain-sepolia
                          - plume-testnet
                          - flow-testnet
                          - tempo-testnet
                          - ethereum
                          - polygon
                          - bsc
                          - optimism
                          - arbitrum
                          - base
                          - zora
                          - arbitrumnova
                          - astar-zkevm
                          - apechain
                          - hedera
                          - coti
                          - lightlink
                          - mantle
                          - skale-nebula
                          - sei-pacific-1
                          - chiliz
                          - avalanche
                          - xai
                          - shape
                          - rari
                          - scroll
                          - viction
                          - mode
                          - space
                          - soneium
                          - story
                          - u2u-solaris
                          - abstract
                          - world-chain
                          - plume
                          - flow
                        description: Chain identifier
                        example: ethereum
                      locator:
                        type: string
                        description: >-
                          Wallet locator (e.g., 'email:dev@company.com:optimism'
                          or 'optimism:0x123...456')
                        example: ethereum:0x1234567890123456789012345678901234567890
                      owner:
                        type: string
                        description: Owner identifier
                        example: user-123
                    required:
                      - address
                      - locator
                    additionalProperties: false
                    description: Transfer participant (sender or recipient)
                    example:
                      address: '0x1234567890123456789012345678901234567890'
                      chain: ethereum
                      locator: ethereum:0x1234567890123456789012345678901234567890
                      owner: user-123
                  recipient:
                    type: object
                    properties:
                      address:
                        type: string
                        description: Wallet address
                        example: '0x1234567890123456789012345678901234567890'
                      chain:
                        type: string
                        enum:
                          - solana
                          - sui
                          - aptos
                          - xion
                          - stellar
                          - arbitrum-sepolia
                          - arc-testnet
                          - avalanche-fuji
                          - curtis
                          - base-goerli
                          - base-sepolia
                          - bsc-testnet
                          - chiliz-spicy-testnet
                          - coti-testnet
                          - ethereum-goerli
                          - ethereum-sepolia
                          - hedera-testnet
                          - hypersonic-testnet
                          - lightlink-pegasus
                          - mantle-sepolia
                          - optimism-goerli
                          - optimism-sepolia
                          - polygon-amoy
                          - polygon-mumbai
                          - crossmint-private-testnet-ethereum
                          - crossmint-private-testnet-polygon
                          - rari-testnet
                          - scroll-sepolia
                          - sei-atlantic-2-testnet
                          - shape-sepolia
                          - skale-nebula-testnet
                          - soneium-minato-testnet
                          - space-testnet
                          - story-testnet
                          - verify-testnet
                          - viction-testnet
                          - xai-sepolia-testnet
                          - zkatana
                          - zkyoto
                          - zora-goerli
                          - zora-sepolia
                          - mode-sepolia
                          - u2u-nebulas
                          - zenchain-testnet
                          - abstract-testnet
                          - world-chain-sepolia
                          - plume-testnet
                          - flow-testnet
                          - tempo-testnet
                          - ethereum
                          - polygon
                          - bsc
                          - optimism
                          - arbitrum
                          - base
                          - zora
                          - arbitrumnova
                          - astar-zkevm
                          - apechain
                          - hedera
                          - coti
                          - lightlink
                          - mantle
                          - skale-nebula
                          - sei-pacific-1
                          - chiliz
                          - avalanche
                          - xai
                          - shape
                          - rari
                          - scroll
                          - viction
                          - mode
                          - space
                          - soneium
                          - story
                          - u2u-solaris
                          - abstract
                          - world-chain
                          - plume
                          - flow
                        description: Chain identifier
                        example: ethereum
                      locator:
                        type: string
                        description: >-
                          Wallet locator (e.g., 'email:dev@company.com:optimism'
                          or 'optimism:0x123...456')
                        example: ethereum:0x1234567890123456789012345678901234567890
                      owner:
                        type: string
                        description: Owner identifier
                        example: user-123
                    required:
                      - address
                      - locator
                    additionalProperties: false
                    description: Transfer participant (sender or recipient)
                    example:
                      address: '0x1234567890123456789012345678901234567890'
                      chain: ethereum
                      locator: ethereum:0x1234567890123456789012345678901234567890
                      owner: user-123
                  token:
                    oneOf:
                      - type: object
                        properties:
                          locator:
                            type: string
                            description: >-
                              Either a token string (e.g., 'eth', 'sol') or a
                              token locator string (e.g., 'ethereum:0x123',
                              'solana:sol')
                            example: ethereum:0x123
                          amount:
                            type: string
                            description: >-
                              The amount of the token after placing the decimal
                              point
                            example: '18.8343253454'
                          rawAmount:
                            type: string
                            description: The raw amount of the token
                            example: '18834161225104097789'
                          contractAddress:
                            type: string
                            description: >-
                              The contract address of the token on the EVM
                              chain. Not present for native tokens.
                            example: '0x123'
                          symbol:
                            type: string
                            description: Token symbol
                            example: USDC
                          decimals:
                            type: number
                            description: The number of decimals of the token
                            example: 6
                          type:
                            type: string
                            enum:
                              - fungible
                            description: Token type
                            example: fungible
                          chain:
                            type: string
                            enum:
                              - arbitrum-sepolia
                              - arc-testnet
                              - avalanche-fuji
                              - curtis
                              - base-goerli
                              - base-sepolia
                              - bsc-testnet
                              - chiliz-spicy-testnet
                              - coti-testnet
                              - ethereum-goerli
                              - ethereum-sepolia
                              - hedera-testnet
                              - hypersonic-testnet
                              - lightlink-pegasus
                              - mantle-sepolia
                              - optimism-goerli
                              - optimism-sepolia
                              - polygon-amoy
                              - polygon-mumbai
                              - crossmint-private-testnet-ethereum
                              - crossmint-private-testnet-polygon
                              - rari-testnet
                              - scroll-sepolia
                              - sei-atlantic-2-testnet
                              - shape-sepolia
                              - skale-nebula-testnet
                              - soneium-minato-testnet
                              - space-testnet
                              - story-testnet
                              - verify-testnet
                              - viction-testnet
                              - xai-sepolia-testnet
                              - zkatana
                              - zkyoto
                              - zora-goerli
                              - zora-sepolia
                              - mode-sepolia
                              - u2u-nebulas
                              - zenchain-testnet
                              - abstract-testnet
                              - world-chain-sepolia
                              - plume-testnet
                              - flow-testnet
                              - tempo-testnet
                              - ethereum
                              - polygon
                              - bsc
                              - optimism
                              - arbitrum
                              - base
                              - zora
                              - arbitrumnova
                              - astar-zkevm
                              - apechain
                              - hedera
                              - coti
                              - lightlink
                              - mantle
                              - skale-nebula
                              - sei-pacific-1
                              - chiliz
                              - avalanche
                              - xai
                              - shape
                              - rari
                              - scroll
                              - viction
                              - mode
                              - space
                              - soneium
                              - story
                              - u2u-solaris
                              - abstract
                              - world-chain
                              - plume
                              - flow
                            description: EVM chain identifier
                            example: ethereum
                        required:
                          - locator
                          - amount
                          - rawAmount
                          - decimals
                          - type
                          - chain
                        additionalProperties: false
                        description: EVM fungible token details
                        example:
                          type: fungible
                          chain: ethereum
                          locator: ethereum:0x123
                          amount: '18.833423432423'
                          rawAmount: '18834161225104097789'
                          contractAddress: '0x123'
                          decimals: 6
                      - type: object
                        properties:
                          locator:
                            type: string
                            description: >-
                              Either a token string (e.g., 'eth', 'sol') or a
                              token locator string (e.g., 'ethereum:0x123',
                              'solana:sol')
                            example: ethereum:0x123
                          amount:
                            type: string
                            description: >-
                              The amount of the token after placing the decimal
                              point
                            example: '18.8343253454'
                          rawAmount:
                            type: string
                            description: The raw amount of the token
                            example: '18834161225104097789'
                          mintHash:
                            type: string
                            description: >-
                              The mint hash of the token on Solana. Not present
                              for native SOL.
                            example: '123123'
                          symbol:
                            type: string
                            description: Token symbol
                            example: USDC
                          decimals:
                            type: number
                            description: The number of decimals of the token
                            example: 6
                          type:
                            type: string
                            enum:
                              - fungible
                            description: Token type
                            example: fungible
                          chain:
                            type: string
                            enum:
                              - solana
                            description: Solana chain identifier
                            example: solana
                        required:
                          - locator
                          - amount
                          - rawAmount
                          - decimals
                          - type
                          - chain
                        additionalProperties: false
                        description: Solana fungible token details
                        example:
                          type: fungible
                          chain: solana
                          locator: solana:31123
                          amount: '18.833423432423'
                          rawAmount: '18834161225104097789'
                          mintHash: '123123'
                          decimals: 6
                      - type: object
                        properties:
                          locator:
                            type: string
                            description: >-
                              Either a token string (e.g., 'eth', 'sol') or a
                              token locator string (e.g., 'ethereum:0x123',
                              'solana:sol')
                            example: ethereum:0x123
                          amount:
                            type: string
                            description: >-
                              The amount of the token after placing the decimal
                              point
                            example: '18.8343253454'
                          rawAmount:
                            type: string
                            description: The raw amount of the token
                            example: '18834161225104097789'
                          contractId:
                            type: string
                            description: >-
                              The contract ID of the token on Stellar. Not
                              present for native XLM.
                            example: >-
                              CCW67TSZV3SSS2HXMBQ5JFGCKJNXKZM7UQUWUZPUTHXSTZLEO7SJMI75
                          symbol:
                            type: string
                            description: Token symbol
                            example: USDC
                          decimals:
                            type: number
                            description: The number of decimals of the token
                            example: 6
                          type:
                            type: string
                            enum:
                              - fungible
                            description: Token type
                            example: fungible
                          chain:
                            type: string
                            enum:
                              - stellar
                            description: Stellar chain identifier
                            example: stellar
                        required:
                          - locator
                          - amount
                          - rawAmount
                          - decimals
                          - type
                          - chain
                        additionalProperties: false
                        description: Stellar fungible token details
                        example:
                          type: fungible
                          chain: stellar
                          locator: stellar:xlm
                          amount: '100.5000000'
                          rawAmount: '1005000000'
                          contractId: >-
                            CAS3J7GYLGXMF6TDJBBYYSE3HQ6BBSMLNUQ34T6TZMYMW2EVH34XOWMA
                          decimals: 6
                    type: object
                    description: Fungible token details for any supported chain
                  status:
                    type: string
                    enum:
                      - succeeded
                      - failed
                    description: The status of the transfer
                    example: succeeded
                  transferId:
                    type: string
                    description: >-
                      The unique identifier for the transfer. Can be used
                      retrieve the transfer from the Get Transaction API
                    example: 93fd7f08-0c63-4d73-808b-6268e665c964
                  completedAt:
                    type: string
                    format: date-time
                    description: ISO 8601 timestamp when the transfer was completed
                    example: '2025-10-21T12:34:56.789Z'
                  onChain:
                    type: object
                    properties:
                      txId:
                        type: string
                        description: Transaction hash/ID
                        example: >-
                          0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                      explorerLink:
                        type: string
                        description: Block explorer URL
                        example: >-
                          https://etherscan.io/tx/0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                    required:
                      - txId
                      - explorerLink
                    additionalProperties: false
                    description: On-chain transaction details
                    example:
                      txId: >-
                        0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                      explorerLink: >-
                        https://etherscan.io/tx/0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Error message
                        example: Transaction reverted
                      reason:
                        type: string
                        description: Error reason
                        example: Insufficient funds
                      revert:
                        type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - contract_call
                              - wallet_authorization
                              - wallet_deployment
                          reason:
                            type: string
                          reasonData:
                            oneOf:
                              - type: string
                              - type: object
                                additionalProperties: {}
                          explorerLink:
                            type: string
                          simulationLink:
                            type: string
                        required:
                          - type
                          - reason
                        description: Revert reason from smart contract
                        example:
                          type: contract_call
                          reason: 'ERC20: transfer amount exceeds balance'
                      logs:
                        type: object
                        description: Additional error logs
                        example: ''
                    required:
                      - message
                      - reason
                    additionalProperties: false
                    description: Error details for failed transfers
                    example:
                      message: Transaction reverted
                      reason: Insufficient funds
                  type:
                    type: string
                    enum:
                      - wallets.transfer.out
                    description: Event type for outgoing transfers
                    example: wallets.transfer.out
                required:
                  - sender
                  - recipient
                  - token
                  - status
                  - completedAt
                  - type
                additionalProperties: false
                description: Outgoing wallet transfer event
            type: object
            description: >-
              A single wallet transfer event (incoming or outgoing, unstable
              version)
      required:
        - data
      description: Bidirectional cursor paginated response
    WalletV1Alpha2ErrorDTO:
      type: object
      properties:
        error:
          type: boolean
          enum:
            - true
        message:
          type: string
          description: Error message
          example: <error message>
      required:
        - error
        - message
      description: Wallet error

````